using System.Xml.Linq;

namespace CoverageFramework.Operator.Selector.Java
{
	public class ParenthesisSelectorForJava : ParenthesisSelector
	{
		protected override bool IsLeftParenthesis(XElement e)
		{
			return e.Name.LocalName == "TLPar";
		}

		protected override bool IsRightParenthesis(XElement e)
		{
			return e.Name.LocalName == "TRPar";
		}
	}
}